package creepy.talkintell;

import android.app.Activity;
import android.app.FragmentManager;
import android.content.Intent;
import android.location.LocationManager;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.ImageButton;

import com.google.android.gms.maps.MapFragment;

import creepy.talkintell.location.MapManager;

public class HomeActivity extends Activity {

	private LocationManager lm;
	private MapManager mm;
	public static boolean dualPane = false;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.home);
		
		FragmentManager fm = getFragmentManager();
		MapFragment mapFrag = (MapFragment)fm.findFragmentById(R.id.carteFragment);
		if(mapFrag != null && mapFrag.isVisible()) {
			// tablet
			Log.i("TALKER", "tablet");
			HomeActivity.dualPane = true;
			this.mm = new MapManager(((MapFragment)(fm.findFragmentById(R.id.carteFragment))).getMap());
			this.mm.placeMarkers();
		} else {
			// handset
			Log.i("TALKER", "handset");
			// Register all the listener for the buttons
			setUpListeners();
		}	
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		//getMenuInflater().inflate(R.menu.home, menu);
		return true;
	}
	
	@Override
	protected void onResume() {
		super.onResume();
		if(HomeActivity.dualPane){ 
			lm = (LocationManager) this.getSystemService(LOCATION_SERVICE);
			if (lm.isProviderEnabled(LocationManager.GPS_PROVIDER))
				lm.requestLocationUpdates(LocationManager.GPS_PROVIDER, 10000, 0,
						this.mm);
			lm.requestLocationUpdates(LocationManager.NETWORK_PROVIDER, 10000, 0,
					this.mm);
		}
	}
	
	@Override
	protected void onPause() {
		super.onPause();
		if(HomeActivity.dualPane)
			lm.removeUpdates(this.mm);
	}
	
	private void setUpListeners() {
		OnClickListener rubriqueBtnListener = new OnClickListener() {

			@Override
			public void onClick(View arg0) {
				// Start the rubrique activity
				Intent intent = new Intent(HomeActivity.this, RubriqueActivity.class);
				startActivity(intent);
			}
			
		};
		ImageButton rubriqueButton = (ImageButton) findViewById(R.id.rubriqueButton);
		rubriqueButton.setOnClickListener(rubriqueBtnListener);
		
	}

}
