package creepy.talkintell.adapters;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.LinearLayout;
import android.widget.TextView;
import creepy.talkintell.R;
import creepy.talkintell.data.Article;

public class ArticleListAdapter extends BaseAdapter {

	private Article[] articles;
	private Context context;
	
	public ArticleListAdapter(Context c, Article[] articles) {
		this.articles = articles;
		this.context = c;
	}
	
	@Override
	public int getCount() {
		return this.articles.length;
	}

	@Override
	public Article getItem(int index) {
		return articles[index];
	}

	@Override
	public long getItemId(int index) {
		return index;
	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		LinearLayout v;
		if(convertView == null) {
			LayoutInflater inflater = (LayoutInflater)context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
			v = (LinearLayout)inflater.inflate(R.layout.articleitem, parent, false);
		} else {
			v = (LinearLayout)convertView;
		}
		Article selectedArticle = articles[position];
		((TextView) v.findViewById(R.id.articleItemTitle)).setText(selectedArticle.getTitle());
		String details = "le " + selectedArticle.getDate() + " dans " + selectedArticle.getMedia();
		((TextView) v.findViewById(R.id.articleItemDetails)).setText(details);

		return v;
	}

}
