package creepy.talkintell.adapters;

import android.content.Context;
import android.graphics.drawable.GradientDrawable;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import creepy.talkintell.R;
import creepy.talkintell.data.Rubrique;


public class RubriqueAdapter extends BaseAdapter {
	
	private Rubrique[] rubriques;
	private Context c;
	
	public RubriqueAdapter(Context c, Rubrique[] rubriques){
		this.rubriques = rubriques;
		this.c = c;
	}

	public int getCount() {
		System.out.println(this.rubriques.length);
		return this.rubriques.length;
	}

	public Rubrique getItem(int index) {
		return rubriques[index];
	}

	public long getItemId(int index) {
		return index;
	}

	public View getView(int position, View convertView, ViewGroup parent) {
		LinearLayout v;
		if(convertView == null){
			LayoutInflater inflater = (LayoutInflater)c.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
			v = (LinearLayout)inflater.inflate(R.layout.rubriqueitem, parent, false);
		}
		else {
			v = (LinearLayout)convertView;
		}
		
		ImageView pastille = (ImageView)v.findViewById(R.id.rubriqueItemPastille);
		GradientDrawable pastilleBG = (GradientDrawable)pastille.getBackground();
		pastilleBG.setColor(rubriques[position].getColor());
		((TextView)v.findViewById(R.id.rubriqueItemText)).setText(rubriques[position].getName());

		return v;
	}
}
