package creepy.talkintell.data;

import java.util.ArrayList;

public class Database {

	private static Rubrique[] rubriques = {
			new Rubrique(0, "Tout", "#FFFFFF"),
			new Rubrique(1, "Insolite", "#FDEE00"),
			new Rubrique(2, "People", "#FD3F92"),
			new Rubrique(3, "Vol", "#1B019B"),
			new Rubrique(4, "Accident", "#DFAF2C"),
			new Rubrique(5, "Aggression", "#811453"),
			new Rubrique(6, "Disparition", "#5A5E6B"),
			new Rubrique(7, "Meurtre", "#F7230C"),
			new Rubrique(8, "Aggression sexuelle", "#000000"),
			new Rubrique(9, "Ailleurs", "#ED7F10"),
	};
	
	
	private static Article article0 = new Article(0, 5, "Sauvagement agressé dans la rue par un développeur",
			"The path of the righteous man is beset on all sides by the iniquities of the selfish and the tyranny of evil men. Blessed is he who, in the name of charity and good will, shepherds the weak through the valley of darkness, for he is truly his brother's keeper and the finder of lost children. And I will strike down upon thee with great vengeance and furious anger those who would attempt to poison and destroy My brothers. And you will know My name is the Lord when I lay My vengeance upon thee.",
			"27 Juin 2013",
			"Ouest-France",
			48.11706f,
			-1.68109f);
	
	private static Article article1 = new Article(1, 4, "Ivre, il choisit de suivre la filière biomédicale",
			"The path of the righteous man is beset on all sides by the iniquities of the selfish and the tyranny of evil men. Blessed is he who, in the name of charity and good will, shepherds the weak through the valley of darkness, for he is truly his brother's keeper and the finder of lost children. And I will strike down upon thee with great vengeance and furious anger those who would attempt to poison and destroy My brothers. And you will know My name is the Lord when I lay My vengeance upon thee.",
			"10 Juillet 2013",
			"Télégramme",
			48.122f,
			-1.707f);
	
	private static Article article2 = new Article(2, 8, "Etudiant, Il forcait son coloc à prendre sa douche avec lui",
			"The path of the righteous man is beset on all sides by the iniquities of the selfish and the tyranny of evil men. Blessed is he who, in the name of charity and good will, shepherds the weak through the valley of darkness, for he is truly his brother's keeper and the finder of lost children. And I will strike down upon thee with great vengeance and furious anger those who would attempt to poison and destroy My brothers. And you will know My name is the Lord when I lay My vengeance upon thee.",
			"01 Avril 2013",
			"Le Monde",
			48.095f,
			-1.698f);
	
	private static Article article3 = new Article(3, 1, "Un alpaga retrouvé pendu au lampadaire",
			"The path of the righteous man is beset on all sides by the iniquities of the selfish and the tyranny of evil men. Blessed is he who, in the name of charity and good will, shepherds the weak through the valley of darkness, for he is truly his brother's keeper and the finder of lost children. And I will strike down upon thee with great vengeance and furious anger those who would attempt to poison and destroy My brothers. And you will know My name is the Lord when I lay My vengeance upon thee.",
			"20 Août 2013",
			"Le Monde",
			48.098f,
			-1.6449f);
	
	private static Article article4 = new Article(4, 6, "Une cargaison entière de chorizo disparaît en une nuit",
			"The path of the righteous man is beset on all sides by the iniquities of the selfish and the tyranny of evil men. Blessed is he who, in the name of charity and good will, shepherds the weak through the valley of darkness, for he is truly his brother's keeper and the finder of lost children. And I will strike down upon thee with great vengeance and furious anger those who would attempt to poison and destroy My brothers. And you will know My name is the Lord when I lay My vengeance upon thee.",
			"06 Août 2013",
			"Ouest-France",
			48.122f,
			-1.614f);
	
	private static Article article5 = new Article(5, 3, "Assoupi, des voleurs en profitent pour lui subtiliser un rein",
			"The path of the righteous man is beset on all sides by the iniquities of the selfish and the tyranny of evil men. Blessed is he who, in the name of charity and good will, shepherds the weak through the valley of darkness, for he is truly his brother's keeper and the finder of lost children. And I will strike down upon thee with great vengeance and furious anger those who would attempt to poison and destroy My brothers. And you will know My name is the Lord when I lay My vengeance upon thee.",
			"27 Août 2013",
			"20minutes",
			48.129f,
			-1.673f);
	
	private static Article article6 = new Article(6, 2, "Ray manzarek enterré à Rennes",
			"The path of the righteous man is beset on all sides by the iniquities of the selfish and the tyranny of evil men. Blessed is he who, in the name of charity and good will, shepherds the weak through the valley of darkness, for he is truly his brother's keeper and the finder of lost children. And I will strike down upon thee with great vengeance and furious anger those who would attempt to poison and destroy My brothers. And you will know My name is the Lord when I lay My vengeance upon thee.",
			"10 Septembre 2012",
			"Métro News",
			48.105f,
			-1.680f);
	
	private static Article article7 = new Article(7, 7, "Assassinée par l'amante de sa femme",
			"The path of the righteous man is beset on all sides by the iniquities of the selfish and the tyranny of evil men. Blessed is he who, in the name of charity and good will, shepherds the weak through the valley of darkness, for he is truly his brother's keeper and the finder of lost children. And I will strike down upon thee with great vengeance and furious anger those who would attempt to poison and destroy My brothers. And you will know My name is the Lord when I lay My vengeance upon thee.",
			"13 Juin 2013",
			"Closer",
			48.11206f,
			-1.660f);
	
	private static Article[] articles = {
		article0,
		article1,
		article2,
		article3,
		article4,
		article5,
		article6,
		article7	
	};
	
	public static Rubrique[] getRubriques(){
		return rubriques;
	}
	
	public static Rubrique getRubrique(int id) throws Exception {
		for(Rubrique r : rubriques){
			if(r.getId() == id){
				return r;
			}
		}
		throw new Exception("Rubrique introuvable");
	}
	
	public static Article[] getArticles(){
		return articles;
	}
	
	public static ArrayList<Article> getArticles(int rubrique){
		ArrayList<Article> list = new ArrayList<Article>();
		for(Article a : articles){
			if(a.getRubrique() == rubrique){
				list.add(a);
			}
		}
		return list;
	}
}
