package creepy.talkintell.fragments;

import android.app.ListFragment;
import android.content.Intent;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.LinearLayout.LayoutParams;
import android.widget.ListView;
import creepy.talkintell.ArticleActivity;
import creepy.talkintell.HomeActivity;
import creepy.talkintell.R;
import creepy.talkintell.adapters.ArticleListAdapter;
import creepy.talkintell.data.Article;
import creepy.talkintell.data.Database;

public class ArticlesListFragment extends ListFragment {

	private ArticleListAdapter adapter;
	private ListView list;
	
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		System.out.println("CREATION DU ARTICLES LIST FRAGMENT");
	}
	
	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        return inflater.inflate(R.layout.articlelistfragment, container, false);
	}

	@Override
	public void onActivityCreated(Bundle savedInstanceState){
		super.onActivityCreated(savedInstanceState);
		this.adapter = new ArticleListAdapter(this.getActivity().getApplicationContext(), Database.getArticles());
		this.list = (ListView)this.getView();
		if(HomeActivity.dualPane) {
			//((ListView)this.getView()).setLayoutParams(new LayoutParams(getWidestView(getActivity(), this.adapter), LayoutParams.MATCH_PARENT));
		} else {
			this.list.setLayoutParams(new LayoutParams(LayoutParams.MATCH_PARENT, LayoutParams.MATCH_PARENT));
		}
		setListAdapter(this.adapter);
		this.setUpListeners();
		this.adapter.notifyDataSetChanged();
	}
	
	private void setUpListeners() {
		OnItemClickListener itemListener = new OnItemClickListener() {

			@Override
			public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
				Article selectedArticle = (Article)parent.getAdapter().getItem(position);
				//Toast.makeText(getActivity(), "selectedArticle title : " + selectedArticle.getTitle(), Toast.LENGTH_LONG).show();
				Intent intent = new Intent(getActivity(), ArticleActivity.class);
				intent.putExtra("id", selectedArticle.getId());
				startActivity(intent);
			}
			
		};
		this.list.setOnItemClickListener(itemListener);
	}
	
}
