package creepy.talkintell.fragments;

import android.app.ListFragment;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Adapter;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.FrameLayout;
import android.widget.LinearLayout.LayoutParams;
import android.widget.ListView;
import creepy.talkintell.ArticleListActivity;
import creepy.talkintell.HomeActivity;
import creepy.talkintell.R;
import creepy.talkintell.adapters.RubriqueAdapter;
import creepy.talkintell.data.Database;

public class RubriqueFragment extends ListFragment {
	
	private RubriqueAdapter adapter;
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
    }
    
	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        return inflater.inflate(R.layout.listfragment, container, false);
	}

	@Override
	public void onActivityCreated(Bundle savedInstanceState){
		super.onActivityCreated(savedInstanceState);
		
		this.adapter = new RubriqueAdapter(this.getActivity().getApplicationContext(),Database.getRubriques());
		if(HomeActivity.dualPane) {
			((ListView)this.getView()).setLayoutParams(new LayoutParams(getWidestView(getActivity(), this.adapter), LayoutParams.MATCH_PARENT));
		} else {
			((ListView)this.getView()).setLayoutParams(new LayoutParams(LayoutParams.MATCH_PARENT, LayoutParams.MATCH_PARENT));
		}
		setListAdapter(this.adapter);
		setUpListeners();
		this.adapter.notifyDataSetChanged();
	}
	
	/**
	 * Computes the widest view in an adapter, best used when you need to wrap_content on a ListView, please be careful
	 * and don't use it on an adapter that is extremely numerous in items or it will take a long time.
	 *
	 * @param context Some context
	 * @param adapter The adapter to process
	 * @return The pixel width of the widest View
	 */
	public static int getWidestView(Context context, Adapter adapter) {
	    int maxWidth = 0;
	    View view = null;
	    FrameLayout fakeParent = new FrameLayout(context);
	    for (int i=0, count=adapter.getCount(); i<count; i++) {
	        view = adapter.getView(i, view, fakeParent);
	        view.measure(View.MeasureSpec.UNSPECIFIED, View.MeasureSpec.UNSPECIFIED);
	        int width = view.getMeasuredWidth();
	        if (width > maxWidth) {
	            maxWidth = width;
	        }
	    }
	    //return maxWidth;
	    return (int)(maxWidth * 1.10); // A little margin :- )
	}
	
	private void setUpListeners() {
		OnItemClickListener itemListener = new OnItemClickListener() {

			@Override
			public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
				//Rubrique selectedRubrique = (Rubrique) parent.getAdapter().getItem(position);
				Intent intent = new Intent(getActivity(), ArticleListActivity.class);
				startActivity(intent);
			}
			
		};
		getListView().setOnItemClickListener(itemListener);
	}
}
