package creepy.talkintell.location;

import android.location.Location;
import android.location.LocationListener;
import android.os.Bundle;

import com.google.android.gms.maps.CameraUpdate;
import com.google.android.gms.maps.CameraUpdateFactory;
import com.google.android.gms.maps.GoogleMap;
import com.google.android.gms.maps.model.LatLng;
import com.google.android.gms.maps.model.MarkerOptions;
import com.google.android.maps.GeoPoint;

import creepy.talkintell.data.Article;
import creepy.talkintell.data.Database;

public class MapManager implements LocationListener {
	
	private GoogleMap map;
	private GeoPoint user;
	
	public MapManager(GoogleMap map){
		this.map = map;
		this.user = new GeoPoint(0, 0);
	}

	public void onLocationChanged(Location loc) {
		CameraUpdate center = CameraUpdateFactory.newLatLng(new LatLng(loc.getLatitude(), loc.getLongitude()));
		CameraUpdate zoom = CameraUpdateFactory.zoomTo(13);
		this.map.moveCamera(center);
		this.map.animateCamera(zoom);
	}

	public void onProviderDisabled(String arg0) {
		// TODO Auto-generated method stub
		
	}

	public void onProviderEnabled(String arg0) {
		// TODO Auto-generated method stub
		
	}

	public void onStatusChanged(String arg0, int arg1, Bundle arg2) {
		// TODO Auto-generated method stub
		
	}
	
	public void placeMarkers(){
		for(Article a : Database.getArticles()){
			LatLng pos = new LatLng(a.getLatitude(), a.getLongitude());
			this.map.addMarker(new MarkerOptions().position(pos).title(a.getTitle()));
		}
	}

}
